using System;
using System.Data;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;

namespace net.ivoa.data {
    class Test {
        static void Main(string[] args) {
            /*
            CSVStreamInfo cfiA = TableImporter.LearnFile(File.OpenRead(TEST_FILE_A));
            CSVStreamInfo cfiB = TableImporter.LearnFile(File.OpenRead(TEST_FILE_B));
            CSVStreamInfo cfiC = TableImporter.LearnFile(File.OpenRead(TEST_FILE_C));

            Console.WriteLine(cfiA.GetSummary());
            Console.WriteLine(cfiB.GetSummary());
            Console.WriteLine(cfiC.GetSummary());
             */

        }
        const string
            TEST_FILE_A = @"..\..\testfiles\photoobjall.csv",
            TEST_FILE_B = @"..\..\testfiles\queryresults.csv",
            TEST_FILE_C = @"..\..\testfiles\queryresults_nulls.csv"
            ;
    }
}
